Debian Bug report logs - #645890
python-avc: Please drop alternative dependency on python-wxgtk2.6

version graph

Package: python-avc; Maintainer for python-avc is Fabrizio Pollastri <f.pollastri@inrim.it>; Source for python-avc is src:python-avc.

Reported by: Olly Betts <olly@survex.com>

Date: Wed, 19 Oct 2011 11:33:02 UTC

Severity: minor

Found in version python-avc/0.8.3-1

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Fabrizio Pollastri <f.pollastri@inrim.it>:
Bug#645890; Package python-avc. (Wed, 19 Oct 2011 11:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olly Betts <olly@survex.com>:
New Bug report received and forwarded. Copy sent to Fabrizio Pollastri <f.pollastri@inrim.it>. (Wed, 19 Oct 2011 11:33:10 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Olly Betts <olly@survex.com>
To: submit@bugs.debian.org
Subject: python-avc: Please drop alternative dependency on python-wxgtk2.6
Date: Thu, 20 Oct 2011 00:29:27 +1300
Package: python-avc
Version: 0.3.18-10
Severity: minor
User: freewx-maint@lists.alioth.debian.org
Usertags: wx2.6to2.8

I'm trying to get packages to migrate from wxwidgets2.6 to wxwidgets2.8
so we can remove the former from the archive - it's no longer supported
upstream, and wxwidgets3.0 is supposed to be out early next year.

Currently python-avc suggests python-wxgtk2.6|python-wxgtk2.8.
However the upstream code doesn't use wxversion to specify any
preference as to the wx versions to use, which means it will already get
run with 2.8 if both versions are installed and the user hasn't changed
the wx.pth alternative setting from the default.

Since python-wxgtk2.8 has more than twice as many popcon installations
as python-wxgtk2.6, the reality is that many users will have been
running with 2.8 for some time already, so dropping the alternative
dependency on python-wxgtk2.6 should be a painless change.

If you'd like me to NMU this change, please just let me know.

Cheers,
    Olly




Bug No longer marked as found in versions 0.3.18-10. Request was from Olly Betts <olly@survex.com> to control@bugs.debian.org. (Wed, 19 Oct 2011 11:39:27 GMT) Full text and rfc822 format available.

Bug Marked as found in versions python-avc/0.8.3-1. Request was from Olly Betts <olly@survex.com> to control@bugs.debian.org. (Wed, 19 Oct 2011 11:39:28 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Fabrizio Pollastri <f.pollastri@inrim.it>:
Bug#645890; Package python-avc. (Mon, 14 May 2012 06:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olly Betts <olly@survex.com>:
Extra info received and forwarded to list. Copy sent to Fabrizio Pollastri <f.pollastri@inrim.it>. (Mon, 14 May 2012 06:57:03 GMT) Full text and rfc822 format available.

Message #14 received at 645890@bugs.debian.org (full text, mbox):

From: Olly Betts <olly@survex.com>
To: 645890@bugs.debian.org
Subject: Re: Bug#645890: python-avc: Please drop alternative dependency on python-wxgtk2.6
Date: Mon, 14 May 2012 18:25:23 +1200
[Message part 1 (text/plain, inline)]
On Thu, Oct 20, 2011 at 12:29:27AM +1300, Olly Betts wrote:
> I'm trying to get packages to migrate from wxwidgets2.6 to wxwidgets2.8
> so we can remove the former from the archive - it's no longer supported
> upstream

Just to update, on 2011-12-15 wxwidgets2.6 was removed from testing, so
the alternative dependency is just cruft now.

> If you'd like me to NMU this change, please just let me know.

This offer still stands.

Cheers,
    Olly
[signature.asc (application/pgp-signature, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 08:52:19 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.